Bug 1821511 - Running httpd under init requires privileged [NEEDINFO]
Summary: Running httpd under init requires privileged
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 4.4
Hardware: x86_64
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.4.z
Assignee: Urvashi Mohnani
QA Contact: Sunil Choudhary
URL:
Whiteboard:
Depends On: 1807245
Blocks: 1821510
TreeView+ depends on / blocked
 
Reported: 2020-04-07 00:55 UTC by Urvashi Mohnani
Modified: 2020-05-04 11:49 UTC (History)
15 users (show)

Fixed In Version: cri-o-1.17.3-1.rhaos4.4.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1807245
Environment:
Last Closed: 2020-05-04 11:48:34 UTC
Target Upstream Version:
tsweeney: needinfo? (mpatel)
ncarboni: needinfo? (umohnani)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-04 11:49:00 UTC

Comment 10 Nick Carboni 2020-04-14 12:53:37 UTC
> The alternative is to go on the node and run "setsebool container_manage_cgroup 1" and then you won't need to set privileged to true.

The bug is that I need privileged. I wouldn't consider this fixed if I still need privileged to run the pod.
It already worked with privileged before any of this work.

Comment 12 errata-xmlrpc 2020-05-04 11:48:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.